Index: data/trunk/worlds/DefaultCampaign.oxc
===================================================================
--- data/trunk/worlds/DefaultCampaign.oxc	(revision 3687)
+++ data/trunk/worlds/DefaultCampaign.oxc	(revision 3688)
@@ -24,6 +24,6 @@
       <identifier>1</identifier>
       <nextid>2</nextid>
-      <name>Meteroid Cinema</name>
-      <movie>media/orxonox-logo.avi</movie>
+      <name>Meteroid</name>
+      <movie>media/maya_orxonox_compressed.avi</movie>
       <menu-entry>1</menu-entry>
     </MovieLoader>
Index: data/trunk/worlds/MeteroidCinema.oxw
===================================================================
--- data/trunk/worlds/MeteroidCinema.oxw	(revision 3687)
+++ data/trunk/worlds/MeteroidCinema.oxw	(revision 3688)
@@ -1,4 +1,4 @@
 <WorldDataFile>
-  <name>MeteroidCinema</name>
+  <name>Meteroid</name>
   <menu-item-image>pictures/menu/se_straight_512x128.png</menu-item-image>
   <screenshoot>pictures/menu/ss_straight_512x512.png</screenshoot>
@@ -14,27 +14,7 @@
   <WorldEntities>
 
-<!--
-    <ModelParticles>
-      <name>VulcanStoneSystem</name>
-      <model>models/comet.obj</model>
-      <life-span>6000.0</life-span>
-      <radius>0,5,3</radius>
-      <mass>0,.1,0</mass>
-      <precache>5</precache>
-      <emitters>
-        <BoxEmitter>
-          <name>VulcanStoneEmitter</name>
-          <emission-velocity>5,5</emission-velocity>
-          <rate>20</rate>
-          <size>2000, 100, 2000</size>;
-          <abs-coor>342.19, 469.36, 37.74</abs-coor>
-          <spread>1,.5</spread>
-        </BoxEmitter>
-      </emitters>
-    </ModelParticles>
--->
     <TurbineHover>
       <name>Player</name>
-      <abs-coor>300,-400,500</abs-coor>
+      <abs-coor>8, -75, 250</abs-coor>
     </TurbineHover>
 
@@ -42,132 +22,89 @@
       <name>Player2</name>
       <model>models/ships/reap_#.obj</model>
-      <abs-coor>342.19, 169.36, 37.74</abs-coor>
+      <abs-coor>312.19, 172.36, 60.74</abs-coor>
+    </SpaceShip>
+    <SpaceShip>
+      <name>Player10</name>
+      <model>models/ships/reap_#.obj</model>
+      <abs-coor>315.53, 185.09, 14.04</abs-coor>
+    </SpaceShip>
+    <SpaceShip>
+      <name>Player6</name>
+      <model>models/ships/reap_#.obj</model>
+      <abs-coor>306.53, 190.09, 23.50</abs-coor>
+    </SpaceShip>
+    <SpaceShip>
+      <name>Player14</name>
+      <model>models/ships/reap_#.obj</model>
+      <abs-coor>330.19, 172.36, 25.74</abs-coor>
     </SpaceShip>
 
     <SpaceShip>
       <name>Player3</name>
-      <model>models/ships/mantawing.obj</model>
-      <abs-coor>338.53, 172.09, 7.04</abs-coor>
+      <model>models/ships/gobblin.obj</model>
+      <abs-coor>321,176,13</abs-coor>
     </SpaceShip>
-
-        <SpaceShip>
-      <name>Player4</name>
-      <model>models/ships/warcruiser.obj</model>
-      <abs-coor>331.19, 171.36, 49.74</abs-coor>
+    <SpaceShip>
+      <name>Player7</name>
+      <model>models/ships/gobblin.obj</model>
+      <abs-coor>310,182,27</abs-coor>
     </SpaceShip>
-
-    <SpaceShip>
-      <name>Player5</name>
-      <model>models/ships/powerdrifter.obj</model>
-      <abs-coor>331.19, 171.36, 25.74</abs-coor>
-      <abs-dir>1.5,0,1,0</abs-dir>
-    </SpaceShip>
-
-
-    <SpaceShip>
-      <name>Player6</name>
-      <model>models/ships/gobblin.obj</model>
-      <abs-coor>311.53, 181.09, 12.04</abs-coor>
-    </SpaceShip>
-
-        <SpaceShip>
-      <name>Player7</name>
-      <model>models/ships/fighter.obj</model>
-      <abs-coor>311.53, 181.09, 39.04</abs-coor>
-    </SpaceShip>
-
-    <Hover>
-      <name>Player6</name>
-      <abs-coor>311.53, 181.09, 66.04</abs-coor>
-    </Hover>
-
-
-
-        <SpaceShip>
-      <name>Player7</name>
-      <model>models/ships/reap_#.obj</model>
-      <abs-coor>332.19, 200.36, 34.74</abs-coor>
-    </SpaceShip>
-
-    <SpaceShip>
-      <name>Player8</name>
-      <model>models/ships/mantawing.obj</model>
-      <abs-coor>328.53, 200.09, 17.04</abs-coor>
-    </SpaceShip>
-
-        <SpaceShip>
-      <name>Player9</name>
-      <model>models/ships/warcruiser.obj</model>
-      <abs-coor>321.19, 200.36, 39.74</abs-coor>
-    </SpaceShip>
-
-    <SpaceShip>
-      <name>Player10</name>
-      <model>models/ships/powerdrifter.obj</model>
-      <abs-coor>321.19, 200.36, 28.74</abs-coor>
-      <abs-dir>1.5,0,1,0</abs-dir>
-    </SpaceShip>
-
-
     <SpaceShip>
       <name>Player11</name>
       <model>models/ships/gobblin.obj</model>
-      <abs-coor>301.53, 210.09, 5.04</abs-coor>
+      <abs-coor>306,190,10</abs-coor>
+    </SpaceShip>
+    <SpaceShip>
+      <name>Player15</name>
+      <model>models/ships/gobblin.obj</model>
+      <abs-coor>314,183,52</abs-coor>
     </SpaceShip>
 
-        <SpaceShip>
+    <MovieEntity>
+      <abs-coor>413.5,183,36.3</abs-coor>
+      <name>media/hero.mov</name>
+      <fps>15</fps>
+      <axis>90</axis>
+      <size>75,38.5</size>
+    </MovieEntity>
+
+    <SpaceShip>
+      <name>Player4</name>
+      <model>models/ships/fighter.obj</model>
+      <abs-coor>313,181,0</abs-coor>
+    </SpaceShip>
+    <SpaceShip>
       <name>Player12</name>
       <model>models/ships/fighter.obj</model>
-      <abs-coor>301.53, 210.09, 33.04</abs-coor>
+      <abs-coor>324,178,38</abs-coor>
+    </SpaceShip>
+    <SpaceShip>
+      <name>Player8</name>
+      <model>models/ships/fighter.obj</model>
+      <abs-coor>312,176,45</abs-coor>
+    </SpaceShip>
+    <SpaceShip>
+      <name>Player8</name>
+      <model>models/ships/fighter.obj</model>
+      <abs-coor>310,179,72</abs-coor>
     </SpaceShip>
 
-    <Hover>
+    <TurbineHover>
+      <name>Player5</name>
+      <abs-coor>324,174,2</abs-coor>
+    </TurbineHover>
+    <TurbineHover>
+      <name>Player9</name>
+      <abs-coor>309,188,42</abs-coor>
+    </TurbineHover>
+    <TurbineHover>
       <name>Player13</name>
-      <abs-coor>301.53, 210.09, 70.04</abs-coor>
-    </Hover>
+      <abs-coor>319,172,71</abs-coor>
+    </TurbineHover>
 
-
-            <SpaceShip>
-      <name>Player14</name>
-      <model>models/ships/reap_#.obj</model>
-      <abs-coor>332.19, 190.36, 34.74</abs-coor>
-    </SpaceShip>
-
-    <SpaceShip>
-      <name>Player15</name>
-      <model>models/ships/mantawing.obj</model>
-      <abs-coor>328.53, 190.09, 17.04</abs-coor>
-    </SpaceShip>
-
-        <SpaceShip>
-      <name>Player16</name>
-      <model>models/ships/warcruiser.obj</model>
-      <abs-coor>321.19, 190.36, 39.74</abs-coor>
-    </SpaceShip>
-
-    <SpaceShip>
-      <name>Player17</name>
-      <model>models/ships/powerdrifter.obj</model>
-      <abs-coor>321.19, 190.36, 28.74</abs-coor>
-      <abs-dir>1.5,0,1,0</abs-dir>
-    </SpaceShip>
-
-
-    <SpaceShip>
-      <name>Player18</name>
-      <model>models/ships/gobblin.obj</model>
-      <abs-coor>301.53, 190.09, 5.04</abs-coor>
-    </SpaceShip>
-
-        <SpaceShip>
-      <name>Player19</name>
-      <model>models/ships/fighter.obj</model>
-      <abs-coor>301.53, 190.09, 33.04</abs-coor>
-    </SpaceShip>
-
-<SkyBox>
-     <name>Sky</name>
-     <Materialset>pictures/sky/simple_space</Materialset>
-     <Size>10000</Size>
+    <SkyBox>
+      <name>Sky</name>
+      <Materialset>pictures/sky/simple_space</Materialset>
+      <Size>10000</Size>
     </SkyBox>
 
@@ -204,12 +141,8 @@
     </Terrain>
 
-    <MovieEntity>
-      <abs-coor>410, 185.4, 36.99</abs-coor>
-      <name>media/crash.mpg</name>
-      <axis>90</axis>
-      <size>72,40.5</size>
-    </MovieEntity>
+  </WorldEntities>
 
-  </WorldEntities>
+  <Music>sound/music/allgorythm-once_upon_a_time_in_a_small_club.ogg</Music>
+
     <LightManager>
     <Lights>