Index: /data/trunk/worlds/DefaultCampaign.oxc
===================================================================
--- /data/trunk/worlds/DefaultCampaign.oxc	(revision 3698)
+++ /data/trunk/worlds/DefaultCampaign.oxc	(revision 3699)
@@ -20,17 +20,9 @@
 -->
 
-
-    <MovieLoader>
-      <identifier>1</identifier>
-      <nextid>2</nextid>
-      <name>Meteroid</name>
-      <movie>media/maya_orxonox_compressed.avi</movie>
-      <menu-entry>1</menu-entry>
-    </MovieLoader>
-
     <SinglePlayerWorld>
       <identifier>2</identifier>
       <nextid>3</nextid>
-      <path>worlds/MeteroidCinema.oxw</path>
+      <path>worlds/Test.oxw</path>
+      <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
 
Index: /data/trunk/worlds/Test.oxw
===================================================================
--- /data/trunk/worlds/Test.oxw	(revision 3699)
+++ /data/trunk/worlds/Test.oxw	(revision 3699)
@@ -0,0 +1,222 @@
+<WorldDataFile>
+  <name>Straight</name>
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screen_bar.png</BarImage>
+  </LoadScreen>
+  <WorldEntities>
+    <SpaceShip>
+      <name>Player</name>
+      <model>models/ships/reap_#.obj</model>
+	    <abs-coor>500,800,800</abs-coor>
+    </SpaceShip>
+
+   
+
+    <MovieEntity>
+	<abs-coor>360,50,0</abs-coor>
+	<name>media/crash.mpg</name>
+	<axis>90</axis>
+	<size>30,22</size>
+    </MovieEntity>
+    <ParamPowerUp>
+      <abs-coor>550,800,800</abs-coor>
+    </ParamPowerUp>
+    <TurretPowerUp>
+      <abs-coor>600,800,850</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>650,800,900</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>700,800,950</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>750,800,1000</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>850,800,1050</abs-coor>
+   </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>925,800,1060</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>975,550,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1025,800,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1075,580,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1125,560,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1175,670,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1225,570,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1250,550,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1325,600,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>975,750,1100</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>3040,50,0</abs-coor>
+    </TurretPowerUp>
+    <ParamPowerUp>
+      <abs-coor>550,650,800</abs-coor>
+    </ParamPowerUp>
+    <TurretPowerUp>
+      <abs-coor>600,600,850</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>650,740,900</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>700,730,950</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>750,720,1000</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>850,600,1050</abs-coor>
+   </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>925,560,1060</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>975,450,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1025,550,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1075,650,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1125,600,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1175,600,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1225,600,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1250,600,1100</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1325,600,1100</abs-coor>
+    </TurretPowerUp>
+
+  <TurretPowerUp>
+      <abs-coor>1365,600,1130</abs-coor>
+    </TurretPowerUp>
+ <TurretPowerUp>
+      <abs-coor>1405,600,1160</abs-coor>
+    </TurretPowerUp>
+ <TurretPowerUp>
+      <abs-coor>1445,600,1190</abs-coor>
+    </TurretPowerUp>
+ <TurretPowerUp>
+      <abs-coor>1505,600,1330</abs-coor>
+    </TurretPowerUp>
+ <TurretPowerUp>
+      <abs-coor>1555,600,1200</abs-coor>
+    </TurretPowerUp>
+ <TurretPowerUp>
+      <abs-coor>1570,600,1250</abs-coor>
+    </TurretPowerUp>
+ <TurretPowerUp>
+      <abs-coor>1365,600,1130</abs-coor>
+    </TurretPowerUp>
+ <TurretPowerUp>
+      <abs-coor>1365,600,1130</abs-coor>
+    </TurretPowerUp>
+  
+  <TurretPowerUp>
+      <abs-coor>1405,600,1160</abs-coor>
+    </TurretPowerUp>
+  <TurretPowerUp>
+      <abs-coor>1445,600,1190</abs-coor>
+    </TurretPowerUp>
+
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/desert</Materialset>
+     <Size>10000</Size>
+    </SkyBox>
+
+       <Terrain>
+      <name>HardCore</name>
+      <height-map>pictures/heightmapHello1.bmp,pictures/colourmap2.bmp</height-map>
+      <height-texture>pictures/ground.tga</height-texture>
+	      <vegetation>models/environments/christmas_vegetation.obj</vegetation>
+      <abs-coor>0,0,0</abs-coor>
+    </Terrain>
+
+<SpaceShip>
+	  <model>models/ships/fighter.obj</model>
+      <abs-coor>550,600,800</abs-coor>
+
+     
+    </SpaceShip>
+
+
+
+
+<!-- NEW GROUND TURRET BEGIN -->
+    <GroundTurret>
+      <abs-coor>1005,0,-50</abs-coor>
+      <weapon-right>
+        <Turret>
+         <model>models/guns/turret2.obj,10.0</model>
+        </Turret>
+      </weapon-right>
+      <weapon-left>
+       <AimingTurret>
+        <model>models/guns/turret1.obj,10.0</model>
+       </AimingTurret>
+      </weapon-left>
+     </GroundTurret>
+<!-- NEW GROUND TURRET END -->
+
+    <GroundTurret>
+      <abs-coor>1500,0,20</abs-coor>
+    </GroundTurret>
+    <GroundTurret>
+      <abs-coor>400,0,0</abs-coor>
+    </GroundTurret>
+    <GroundTurret>
+      <abs-coor>700,0,-40</abs-coor>
+    </GroundTurret>
+  </WorldEntities>
+    <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+      <ambient-color>1,1,1</ambient-color>
+    </Lights>
+  </LightManager>
+
+  <Track>
+   <Point>0,50,0</Point>
+   <Point>5000,50,0</Point>
+   <Duration>100</Duration>
+   <SavePoint/>
+ </Track>
+</WorldDataFile>