Index: data/trunk/worlds/HeightPark.oxw
===================================================================
--- data/trunk/worlds/HeightPark.oxw	(revision 3701)
+++ data/trunk/worlds/HeightPark.oxw	(revision 3704)
@@ -15,129 +15,175 @@
       <abs-coor>550,800,800</abs-coor>
     </ParamPowerUp>
-    <TurretPowerUp>
+
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
+      <abs-coor>330,50,0</abs-coor>
+    </WeaponPowerUp>
+
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>600,800,850</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
+    </WeaponPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>650,800,900</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
+    </WeaponPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>700,800,950</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
+    </WeaponPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>750,800,1000</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
+    </WeaponPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>850,800,1050</abs-coor>
-   </TurretPowerUp>
-    <TurretPowerUp>
+   </WeaponPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>925,800,1060</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
+    </WeaponPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>975,550,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1025,800,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1075,580,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1125,560,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1175,670,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1225,570,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1250,550,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1325,600,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>975,750,1100</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
+    </WeaponPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>3040,50,0</abs-coor>
-    </TurretPowerUp>
+    </WeaponPowerUp>
+
+
     <ParamPowerUp>
       <abs-coor>550,650,800</abs-coor>
     </ParamPowerUp>
-    <TurretPowerUp>
+    <WeaponPowerUp>
       <abs-coor>600,600,850</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
+    </WeaponPowerUp>
+    <WeaponPowerUp>
       <abs-coor>650,740,900</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
+    </WeaponPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>700,730,950</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
+    </WeaponPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>750,720,1000</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
+    </WeaponPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>850,600,1050</abs-coor>
-   </TurretPowerUp>
-    <TurretPowerUp>
+   </WeaponPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>925,560,1060</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
+    </WeaponPowerUp>
+    <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>975,450,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1025,550,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1075,650,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1125,600,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1175,600,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1225,600,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1250,600,1100</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1325,600,1100</abs-coor>
-    </TurretPowerUp>
-
-  <TurretPowerUp>
+    </WeaponPowerUp>
+
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1365,600,1130</abs-coor>
-    </TurretPowerUp>
- <TurretPowerUp>
+    </WeaponPowerUp>
+ <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1405,600,1160</abs-coor>
-    </TurretPowerUp>
- <TurretPowerUp>
+    </WeaponPowerUp>
+ <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1445,600,1190</abs-coor>
-    </TurretPowerUp>
- <TurretPowerUp>
+    </WeaponPowerUp>
+ <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1505,600,1330</abs-coor>
-    </TurretPowerUp>
- <TurretPowerUp>
+    </WeaponPowerUp>
+ <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1555,600,1200</abs-coor>
-    </TurretPowerUp>
- <TurretPowerUp>
+    </WeaponPowerUp>
+ <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1570,600,1250</abs-coor>
-    </TurretPowerUp>
- <TurretPowerUp>
+    </WeaponPowerUp>
+ <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1365,600,1130</abs-coor>
-    </TurretPowerUp>
- <TurretPowerUp>
+    </WeaponPowerUp>
+ <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1365,600,1130</abs-coor>
-    </TurretPowerUp>
-
-  <TurretPowerUp>
+    </WeaponPowerUp>
+
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1405,600,1160</abs-coor>
-    </TurretPowerUp>
-  <TurretPowerUp>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+      <weaponID>Turret</weaponID>
       <abs-coor>1445,600,1190</abs-coor>
-    </TurretPowerUp>
+    </WeaponPowerUp>
 
 
Index: data/trunk/worlds/Straight.oxw
===================================================================
--- data/trunk/worlds/Straight.oxw	(revision 3701)
+++ data/trunk/worlds/Straight.oxw	(revision 3704)
@@ -14,8 +14,8 @@
   <WorldEntities>
     <MovieEntity>
-	<abs-coor>360,50,0</abs-coor>
-	<name>media/crash.mpg</name>
-	<axis>90</axis>
-	<size>30,22</size>
+        <abs-coor>360,50,0</abs-coor>
+        <name>media/crash.mpg</name>
+        <axis>90</axis>
+        <size>30,22</size>
     </MovieEntity>
     <ParamPowerUp>
@@ -38,19 +38,5 @@
       <abs-coor>330,50,0</abs-coor>
     </WeaponPowerUp>
-    <TurretPowerUp>
-      <abs-coor>3000,50,0</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
-      <abs-coor>3010,50,0</abs-coor>
-   </TurretPowerUp>
-    <TurretPowerUp>
-      <abs-coor>3020,50,0</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
-      <abs-coor>3030,50,0</abs-coor>
-    </TurretPowerUp>
-    <TurretPowerUp>
-      <abs-coor>3040,50,0</abs-coor>
-    </TurretPowerUp>
+
 
     <SkyBox>
@@ -114,5 +100,5 @@
   </LightManager>
   <Music>sound/music/00-luke_grey_-_hypermode.ogg</Music>
-  
+
   <GameRule>
     <MultiplayerTeamDeathmatch>