Index: data/trunk/worlds/urban_city.oxw
===================================================================
--- data/trunk/worlds/urban_city.oxw	(revision 3708)
+++ data/trunk/worlds/urban_city.oxw	(revision 3709)
@@ -1,5 +1,4 @@
 <WorldDataFile>
   <name>Urban City</name>
-  <menu-item-image>pictures/menu/se_straight_512x128.png</menu-item-image>
   <screenshoot>pictures/menu/ss_straight_512x512.png</screenshoot>
 
@@ -60,62 +59,69 @@
     </Water>
 
+<!--- ENTRY -->
+   <Building>
+      <model>models/buildings/half_circled.obj, 3</model>
+      <abs-coor>-600, 0, -220</abs-coor>
+      <abs-dir>3, 0, 1, 0</abs-dir>
+   </Building>
+   <Building>
+      <model>models/buildings/half_circled.obj, 3</model>
+      <abs-coor>-600, 0, 220</abs-coor>
+      <abs-dir>-3, 0, 1, 0</abs-dir>
+   </Building>
+   <Building>
+      <model>models/buildings/donut_half.obj, 3</model>
+      <abs-coor>-500, 0, 0</abs-coor>
+   </Building>
+
+
     <Building>
       <model>models/buildings/cone.obj, 3.5</model>
-      <abs-coor>-150, 0, -100</abs-coor>
-    </Building>
-    <Building>
-      <model>models/buildings/cone.obj, 3.5</model>
-      <abs-coor>-150, 0, 100</abs-coor>
-    </Building>
-    <Building>
-      <model>models/buildings/cone.obj, 3.5</model>
-      <abs-coor>150, 0, -100</abs-coor>
-    </Building>
-    <Building>
-      <model>models/buildings/cone.obj, 3.5</model>
-      <abs-coor>150, 0, 100</abs-coor>
-    </Building>
-
-    <Building>
-      <model>models/buildings/ring.obj, 3</model>
+      <abs-coor>-250, 0, -150</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/cone.obj, 4.5</model>
+      <abs-coor>-250, 0, 150</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/cone.obj, 4.2</model>
+      <abs-coor>250, 0, -150</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/cone.obj, 5</model>
+      <abs-coor>250, 0, 150</abs-coor>
+    </Building>
+
+    <Building>
+      <model>models/buildings/ring.obj, 2.5</model>
       <abs-coor>0, 0, 0</abs-coor>
     </Building>
 
     <Building>
-      <model>models/buildings/fallo.obj, 3</model>
-      <abs-coor>250, 0, 0</abs-coor>
-    </Building>
-    <Building>
-      <model>models/buildings/fallo.obj, 3</model>
-      <abs-coor>-250, 0, 0</abs-coor>
-    </Building>
-    <Building>
-      <model>models/buildings/fallo.obj, 3</model>
-      <abs-coor>0, 0, 250</abs-coor>
-    </Building>
-    <Building>
-      <model>models/buildings/fallo.obj, 3</model>
-      <abs-coor>0, 0, 250</abs-coor>
+      <model>models/buildings/fallo.obj, 4</model>
+      <abs-coor>400, 0, 0</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/fallo.obj, 3.5</model>
+      <abs-coor>-250, 10, 0</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/fallo.obj, 3.2</model>
+      <abs-coor>0, 0, -400</abs-coor>
+    </Building>
+    <Building>
+      <model>models/buildings/fallo.obj, 5</model>
+      <abs-coor>0, 0, 400</abs-coor>
     </Building>
 
     <Building>
       <model>models/buildings/triton_tower.obj, 3</model>
-      <abs-coor>150, 0, 250</abs-coor>
+      <abs-coor>400, 0, 500</abs-coor>
     </Building>
     <Building>
       <model>models/buildings/triton_tower.obj, 3</model>
-      <abs-coor>-150, 0, 250</abs-coor>
+      <abs-coor>400, 0, -500</abs-coor>
       <abs-dir>1, 0, 1, 0</abs-dir>
     </Building>
-    <Building>
-      <model>models/buildings/triton_tower.obj, 3</model>
-      <abs-coor>180, 0, 250</abs-coor>
-      <abs-dir>-1, 0, 1, 0</abs-dir>
-   </Building>
-   <Building>
-      <model>models/buildings/triton_tower.obj, 3</model>
-      <abs-coor>180, 0, 250</abs-coor>
-      <abs-dir>-1, 0, 1, 0</abs-dir>
-   </Building>
    <Building>
       <model>models/buildings/triton_tower.obj, 3</model>
@@ -123,31 +129,40 @@
       <abs-dir>-1, 0, 1, 0</abs-dir>
    </Building>
-   <Building>
-      <model>models/buildings/half_circled.obj, 3</model>
-      <abs-coor>-380, 0, -190</abs-coor>
-      <abs-dir>-1, 0, 1, 0</abs-dir>
-   </Building>
-   <Building>
-      <model>models/buildings/half_circled.obj, 3</model>
-      <abs-coor>200, 0, 450</abs-coor>
-      <abs-dir>-1.5, 0, 1, 0</abs-dir>
-   </Building>
-   <Building>
-      <model>models/buildings/donut_half.obj, 3</model>
-      <abs-coor>-450, 0, 0</abs-coor>
-   </Building>
-
-
-    <TurbineHover>
+
+
+    <Hover>
       <name>Player</name>
       <abs-coor>0, 10, 0</abs-coor>
-    </TurbineHover>
+    </Hover>
 
 
     <Terrain>
-      <name>Desert</name>
-      <model>worlds/environ.obj</model>
-      <abs-coor>0,0,0</abs-coor>
+      <name>CityGround</name>
+      <model>models/environments/urban_city_ground.obj</model>
     </Terrain>
+
+   <SparkParticles>
+     <name>Rain</name>
+     <max-count>10000</max-count>
+     <life-span>2,2</life-span>
+     <radius>0, 0.05, 0.05</radius>
+     <radius>1, 0.05, 0.05</radius>
+     <mass>0,1, .05</mass>
+     <color>0, 0, 0, 1, .3</color>
+     <color>.5, .5, .5, 1, .2</color>
+     <color>1,0.5, .5,1, .0</color>
+     <precache>2</precache>
+     <emitters>
+      <PlaneEmitter>
+        <name>RainEmitter</name>
+        <rel-coor>-1200, 300, 0</rel-coor>
+        <rel-dir>3.1412, 0, 0, 1</rel-dir>
+        <spread>0,.3</spread>
+        <emission-velocity>500,50</emission-velocity>
+        <size>1000, 1000</size>
+        <rate>5000</rate>
+      </PlaneEmitter>
+     </emitters>
+   </SparkParticles>
 
 
Index: data/trunk/worlds/vulcania.oxw
===================================================================
--- data/trunk/worlds/vulcania.oxw	(revision 3708)
+++ data/trunk/worlds/vulcania.oxw	(revision 3709)
@@ -1,5 +1,4 @@
 <WorldDataFile>
   <name>Vulcania</name>
-  <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
   <screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
 