Index: orxonox/branches/convention/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 3750)
+++ orxonox/branches/convention/src/Makefile.in	(revision 3756)
@@ -69,5 +69,6 @@
 	texture.$(OBJEXT) base_entity.$(OBJEXT) base_object.$(OBJEXT) \
 	ini_parser.$(OBJEXT) list.$(OBJEXT) resource_manager.$(OBJEXT) \
-	vector.$(OBJEXT) curve.$(OBJEXT) glmenu_imagescreen.$(OBJEXT)
+	vector.$(OBJEXT) curve.$(OBJEXT) glmenu_imagescreen.$(OBJEXT) \
+	test_mat.$(OBJEXT)
 orxonox_OBJECTS = $(am_orxonox_OBJECTS)
 orxonox_LDADD = $(LDADD)
@@ -102,5 +103,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/story_entity.Po ./$(DEPDIR)/terrain.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/test_bullet.Po ./$(DEPDIR)/test_gun.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/texture.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/test_mat.Po ./$(DEPDIR)/texture.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/track_manager.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/track_node.Po ./$(DEPDIR)/vector.Po \
@@ -280,5 +281,6 @@
 		 lib/math/vector.cc \
 		 lib/math/curve.cc \
-		 glmenu/glmenu_imagescreen.cc
+		 glmenu/glmenu_imagescreen.cc \
+		 world_entities/test_mat.cc
 
 noinst_HEADERS = orxonox.h \
@@ -450,4 +452,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_bullet.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_gun.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_mat.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/texture.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/track_manager.Po@am__quote@
@@ -1049,4 +1052,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o glmenu_imagescreen.obj `if test -f 'glmenu/glmenu_imagescreen.cc'; then $(CYGPATH_W) 'glmenu/glmenu_imagescreen.cc'; else $(CYGPATH_W) '$(srcdir)/glmenu/glmenu_imagescreen.cc'; fi`
+
+test_mat.o: world_entities/test_mat.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_mat.o -MD -MP -MF "$(DEPDIR)/test_mat.Tpo" -c -o test_mat.o `test -f 'world_entities/test_mat.cc' || echo '$(srcdir)/'`world_entities/test_mat.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/test_mat.Tpo" "$(DEPDIR)/test_mat.Po"; else rm -f "$(DEPDIR)/test_mat.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/test_mat.cc' object='test_mat.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/test_mat.Po' tmpdepfile='$(DEPDIR)/test_mat.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_mat.o `test -f 'world_entities/test_mat.cc' || echo '$(srcdir)/'`world_entities/test_mat.cc
+
+test_mat.obj: world_entities/test_mat.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_mat.obj -MD -MP -MF "$(DEPDIR)/test_mat.Tpo" -c -o test_mat.obj `if test -f 'world_entities/test_mat.cc'; then $(CYGPATH_W) 'world_entities/test_mat.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/test_mat.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/test_mat.Tpo" "$(DEPDIR)/test_mat.Po"; else rm -f "$(DEPDIR)/test_mat.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/test_mat.cc' object='test_mat.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/test_mat.Po' tmpdepfile='$(DEPDIR)/test_mat.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_mat.obj `if test -f 'world_entities/test_mat.cc'; then $(CYGPATH_W) 'world_entities/test_mat.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/test_mat.cc'; fi`
 uninstall-info-am:
 