Index: orxonox/trunk/src/animation.cc
===================================================================
--- orxonox/trunk/src/animation.cc	(revision 3793)
+++ orxonox/trunk/src/animation.cc	(revision 3794)
@@ -86,7 +86,6 @@
 }
 
-void Anim::setInfinity(ANIM_INFINITY preInfinity, ANIM_INFINITY postInfinity)
+void Anim::setInfinity(ANIM_INFINITY postInfinity)
 {
-  this->preInfinity = preInfinity;
   this->postInfinity = postInfinity;
 }
Index: orxonox/trunk/src/animation.h
===================================================================
--- orxonox/trunk/src/animation.h	(revision 3793)
+++ orxonox/trunk/src/animation.h	(revision 3794)
@@ -51,18 +51,22 @@
 {
  public:
+  virtual ~Anim(void);
+
+  void setInfinity(ANIM_INFINITY postInfinity = ANIM_INF_CONSTANT);
+
   void addKeyFrame(float value, float duration, ANIM_FUNCTION animFunc = ANIM_LINEAR);
-  void setInfinity(ANIM_INFINITY preInfinity = ANIM_INF_CONSTANT,
-		   ANIM_INFINITY postInfinity = ANIM_INF_CONSTANT);
   void setAnimFunc(ANIM_FUNCTION animFunc);
+
+  void play(); // equals resume();
+  void stop();
+  void pause();
+  void replay();
+
+  virtual void tick(float time) = 0;
 
  protected:
   Anim(void);
-  virtual ~Anim(void);
 
   static tList<Anim>* animatorList;
-
-  virtual void tick(float time) = 0;
-
-
 
   // animation functions
@@ -76,5 +80,5 @@
   //  ANIM_FUNCTION animFunc;
   float (Anim::*animFunc)(float) const;
-  ANIM_INFINITY preInfinity;
+
   ANIM_INFINITY postInfinity;
 
@@ -90,9 +94,9 @@
 
 //! A Class to handle some animation for single floated values.
-template<class T> class Animation : public Anim
+template<class T> class tAnim : public Anim
 {
  public:
-  Animation(T* object = NULL, void (T::*funcToAnim)(float) = NULL);
-  virtual ~Animation();
+  tAnim(T* object = NULL, void (T::*funcToAnim)(float) = NULL);
+  virtual ~tAnim();
 
   void setFuncToAnim(T* object, void (T::*funcToAnim)(float));
@@ -112,5 +116,5 @@
 */
 template<class T>
-Animation<T>::Animation (T* object, void (T::*funcToAnim)(float)) 
+tAnim<T>::tAnim (T* object, void (T::*funcToAnim)(float)) 
 {
   this->setFuncToAnim(object, funcToAnim);
@@ -123,5 +127,5 @@
 */
 template<class T>
-Animation<T>::~Animation () 
+tAnim<T>::~tAnim () 
 {
   // delete what has to be deleted here
@@ -130,5 +134,5 @@
 
 template<class T>
-void Animation<T>::setFuncToAnim(T* object, void (T::*funcToAnim)(float))
+void tAnim<T>::setFuncToAnim(T* object, void (T::*funcToAnim)(float))
 {
   this->object = object;
@@ -138,5 +142,5 @@
 
 template<class T>
-void Animation<T>::tick(float time)
+void tAnim<T>::tick(float time)
 {
   if (this->bRunning)
Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 3793)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 3794)
@@ -38,4 +38,5 @@
 #include "garbage_collector.h"
 #include "simple_animation.h"
+#include "animation.h"
 
 #include "command_node.h"
@@ -368,12 +369,11 @@
 	    testText->setBindNode(tn);
 
-	    /*	    
-		   tmpAnim = new Animation<Text>(testText, &Text::setBlending);
-		   tmpAnim->addKeyFrame(0.0, 1.0, ANIM_LINEAR);
-		   tmpAnim->addKeyFrame(1.0, 1.0, ANIM_LINEAR);
-		   tmpAnim->addKeyFrame(0.0, 1.0, ANIM_LINEAR);
-		   tmpAnim->addKeyFrame(1.0, 1.0, ANIM_LINEAR);
-		   tmpAnim->setInfinity(ANIM_INF_CONSTANT, ANIM_INF_REWIND);
-	    */
+	    testAnim = new tAnim<Text>(testText, &Text::setBlending);
+	    testAnim->addKeyFrame(0.0, 1.0, ANIM_LINEAR);
+	    testAnim->addKeyFrame(1.0, 1.0, ANIM_LINEAR);
+	    testAnim->addKeyFrame(0.0, 1.0, ANIM_LINEAR);
+	    testAnim->addKeyFrame(1.0, 1.0, ANIM_LINEAR);
+	    testAnim->setInfinity(ANIM_INF_REWIND);
+
 	    break;
 	  }
@@ -939,4 +939,6 @@
       this->garbageCollector->tick(seconds);
       this->simpleAnimation->tick(seconds);
+      
+      //      testAnim->tick(seconds);
 
     }
Index: orxonox/trunk/src/story_entities/world.h
===================================================================
--- orxonox/trunk/src/story_entities/world.h	(revision 3793)
+++ orxonox/trunk/src/story_entities/world.h	(revision 3794)
@@ -24,5 +24,5 @@
 class GarbageCollector;
 class SimpleAnimation;
-
+class Anim;
 class Text;
 
@@ -99,4 +99,5 @@
   GLMenuImageScreen* glmis;           //!< The Level-Loader Display
 
+  Anim* testAnim;
   Text* testText;                     //!< A text to Test the TextEngine;
 