Index: /data/trunk/worlds/single_player_proto_world_01.map
===================================================================
--- /data/trunk/worlds/single_player_proto_world_01.map	(revision 3796)
+++ /data/trunk/worlds/single_player_proto_world_01.map	(revision 3796)
@@ -0,0 +1,118 @@
+
+// entity 0
+{
+"classname" "worldspawn"
+// brush 0
+{
+( -32 -8 -24 ) ( -32 -56 -24 ) ( -40 -8 -24 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 16 576 -48 ) ( 8 576 -48 ) ( 16 576 -240 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 288 -24 -40 ) ( 288 -24 -232 ) ( 288 -72 -40 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( -40 -48 -32 ) ( -32 -48 -32 ) ( -40 0 -32 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( -40 -200 -232 ) ( -40 -200 -40 ) ( -32 -200 -232 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( -72 -72 -232 ) ( -72 -24 -232 ) ( -72 -72 -40 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+}
+// brush 1
+{
+( -72 -8 64 ) ( -72 -16 64 ) ( -112 -8 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -24 392 96 ) ( -64 392 96 ) ( -24 392 -32 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -72 -88 96 ) ( -72 -88 -32 ) ( -72 -96 96 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -112 -16 -32 ) ( -72 -16 -32 ) ( -112 -8 -32 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -112 -200 -32 ) ( -112 -200 96 ) ( -72 -200 -32 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -80 -16 -32 ) ( -80 -8 -32 ) ( -80 -16 96 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 2
+{
+( 112 264 64 ) ( 112 -200 64 ) ( -72 264 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 112 -192 64 ) ( -72 -192 64 ) ( 112 -192 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 264 64 ) ( 288 264 -24 ) ( 288 -200 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -72 -200 -24 ) ( 112 -200 -24 ) ( -72 264 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -72 -200 -24 ) ( -72 -200 64 ) ( 112 -200 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -72 -200 -24 ) ( -72 264 -24 ) ( -72 -200 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 3
+{
+( 96 8 64 ) ( 96 0 64 ) ( -56 8 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 96 8 64 ) ( -56 8 64 ) ( 96 8 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 8 64 ) ( 128 8 -24 ) ( 128 0 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -56 0 -24 ) ( 96 0 -24 ) ( -56 8 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -40 0 -24 ) ( -40 0 64 ) ( 112 0 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -72 0 -24 ) ( -72 8 -24 ) ( -72 0 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 4
+{
+( 96 200 64 ) ( 96 192 64 ) ( -56 200 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 96 200 64 ) ( -56 200 64 ) ( 96 200 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 200 64 ) ( 128 200 -24 ) ( 128 192 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -56 192 -24 ) ( 96 192 -24 ) ( -56 200 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -40 192 -24 ) ( -40 192 64 ) ( 112 192 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -72 192 -24 ) ( -72 200 -24 ) ( -72 192 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 5
+{
+( 96 392 64 ) ( 96 384 64 ) ( -56 392 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 96 392 64 ) ( -56 392 64 ) ( 96 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 392 64 ) ( 128 392 -24 ) ( 128 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -56 384 -24 ) ( 96 384 -24 ) ( -56 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -40 384 -24 ) ( -40 384 64 ) ( 112 384 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -72 384 -24 ) ( -72 392 -24 ) ( -72 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 6
+{
+( 136 384 64 ) ( 136 -200 64 ) ( 128 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 384 64 ) ( 128 384 64 ) ( 136 384 56 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 384 64 ) ( 136 384 56 ) ( 136 -200 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 -200 56 ) ( 136 -200 56 ) ( 128 384 56 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 -192 56 ) ( 128 -192 64 ) ( 136 -192 56 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 -192 56 ) ( 128 392 56 ) ( 128 -192 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 7
+{
+( 144 560 64 ) ( 144 384 64 ) ( 136 560 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 568 -16 ) ( 128 568 -16 ) ( 136 568 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 560 -16 ) ( 136 560 -24 ) ( 136 384 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 384 -24 ) ( 136 384 -24 ) ( 128 560 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 384 -24 ) ( 128 384 -16 ) ( 136 384 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 384 -24 ) ( 128 560 -24 ) ( 128 384 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 8
+{
+( 288 576 64 ) ( 288 568 64 ) ( 136 576 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 576 64 ) ( 136 576 64 ) ( 288 576 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 576 64 ) ( 288 576 -24 ) ( 288 568 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 568 -24 ) ( 288 568 -24 ) ( 136 576 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 568 -24 ) ( 136 568 64 ) ( 288 568 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 568 -24 ) ( 136 576 -24 ) ( 136 568 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 9
+{
+( 288 560 64 ) ( 288 376 64 ) ( 280 560 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 568 64 ) ( 280 568 64 ) ( 288 568 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 560 64 ) ( 288 560 -24 ) ( 288 376 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 280 376 -24 ) ( 288 376 -24 ) ( 280 560 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 280 384 -24 ) ( 280 384 64 ) ( 288 384 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 280 376 -24 ) ( 280 560 -24 ) ( 280 376 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 10
+{
+( 224 392 64 ) ( 224 384 64 ) ( 136 392 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 224 392 64 ) ( 136 392 64 ) ( 224 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 168 392 64 ) ( 168 392 -24 ) ( 168 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 384 -24 ) ( 224 384 -24 ) ( 136 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 384 -24 ) ( 136 384 64 ) ( 224 384 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 384 -24 ) ( 136 392 -24 ) ( 136 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 11
+{
+( 224 392 8 ) ( 224 384 8 ) ( 168 392 8 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 224 392 64 ) ( 168 392 64 ) ( 224 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 224 392 64 ) ( 224 392 -24 ) ( 224 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 168 384 -24 ) ( 224 384 -24 ) ( 168 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 168 384 -24 ) ( 168 384 64 ) ( 224 384 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 168 384 -24 ) ( 168 392 -24 ) ( 168 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+}
+// entity 1
+{
+"classname" "info_player_deathmatch"
+"origin" "0 -40 0"
+}