Index: data/trunk/worlds/single_player_proto_world_01.map
===================================================================
--- data/trunk/worlds/single_player_proto_world_01.map	(revision 3796)
+++ data/trunk/worlds/single_player_proto_world_01.map	(revision 3800)
@@ -7,5 +7,5 @@
 ( -32 -8 -24 ) ( -32 -56 -24 ) ( -40 -8 -24 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
 ( 16 576 -48 ) ( 8 576 -48 ) ( 16 576 -240 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
-( 288 -24 -40 ) ( 288 -24 -232 ) ( 288 -72 -40 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 288 -16 -40 ) ( 288 -16 -232 ) ( 288 -64 -40 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
 ( -40 -48 -32 ) ( -32 -48 -32 ) ( -40 0 -32 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
 ( -40 -200 -232 ) ( -40 -200 -40 ) ( -32 -200 -232 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
@@ -90,5 +90,5 @@
 ( 288 560 64 ) ( 288 560 -24 ) ( 288 376 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 ( 280 376 -24 ) ( 288 376 -24 ) ( 280 560 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 280 384 -24 ) ( 280 384 64 ) ( 288 384 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 280 192 -40 ) ( 280 192 48 ) ( 288 192 -40 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 ( 280 376 -24 ) ( 280 560 -24 ) ( 280 376 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 }
@@ -97,5 +97,5 @@
 ( 224 392 64 ) ( 224 384 64 ) ( 136 392 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 ( 224 392 64 ) ( 136 392 64 ) ( 224 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 168 392 64 ) ( 168 392 -24 ) ( 168 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 152 392 64 ) ( 152 392 -24 ) ( 152 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 ( 136 384 -24 ) ( 224 384 -24 ) ( 136 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 ( 136 384 -24 ) ( 136 384 64 ) ( 224 384 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
@@ -104,10 +104,226 @@
 // brush 11
 {
-( 224 392 8 ) ( 224 384 8 ) ( 168 392 8 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 224 392 64 ) ( 168 392 64 ) ( 224 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 224 392 64 ) ( 224 392 -24 ) ( 224 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 168 384 -24 ) ( 224 384 -24 ) ( 168 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 168 384 -24 ) ( 168 384 64 ) ( 224 384 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 168 384 -24 ) ( 168 392 -24 ) ( 168 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 224 392 0 ) ( 224 384 0 ) ( 168 392 0 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 208 392 64 ) ( 152 392 64 ) ( 208 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 232 392 64 ) ( 232 392 -24 ) ( 232 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 152 384 -24 ) ( 208 384 -24 ) ( 152 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 152 384 -24 ) ( 152 384 64 ) ( 208 384 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 152 384 -24 ) ( 152 392 -24 ) ( 152 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 12
+{
+( 208 392 64 ) ( 208 384 64 ) ( 152 392 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 208 392 64 ) ( 152 392 64 ) ( 208 392 -64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 232 392 64 ) ( 232 392 -64 ) ( 232 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 176 384 40 ) ( 232 384 40 ) ( 176 392 40 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 152 384 -64 ) ( 152 384 64 ) ( 208 384 -64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 152 384 -64 ) ( 152 392 -64 ) ( 152 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 13
+{
+( 240 392 64 ) ( 240 384 64 ) ( 224 392 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 240 392 64 ) ( 224 392 64 ) ( 240 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 240 392 64 ) ( 240 392 -24 ) ( 240 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 224 384 -24 ) ( 240 384 -24 ) ( 224 392 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 224 384 -24 ) ( 224 384 64 ) ( 240 384 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 232 384 -24 ) ( 232 392 -24 ) ( 232 384 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 14
+{
+( 288 392 -16 ) ( 288 360 -16 ) ( 248 392 -16 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 280 392 64 ) ( 240 392 64 ) ( 280 392 -24 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 280 392 64 ) ( 280 392 -24 ) ( 280 360 64 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 240 360 -24 ) ( 280 360 -24 ) ( 240 392 -24 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 240 360 -24 ) ( 240 360 64 ) ( 280 360 -24 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 240 360 -24 ) ( 240 392 -24 ) ( 240 360 64 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+}
+// brush 15
+{
+( 280 536 -8 ) ( 280 392 -8 ) ( 136 536 -8 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 280 568 -8 ) ( 136 568 -8 ) ( 280 568 -16 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 280 536 -8 ) ( 280 536 -16 ) ( 280 392 -8 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 136 392 -16 ) ( 280 392 -16 ) ( 136 536 -16 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 136 392 -16 ) ( 136 392 -8 ) ( 280 392 -16 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+( 136 392 -16 ) ( 136 536 -16 ) ( 136 392 -8 ) gothic_floor/q1metal7_98d_256x256 0 0 0 0.5 0.5 0 0 0
+}
+// brush 16
+{
+( 136 224 56 ) ( 136 160 56 ) ( 128 224 56 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 224 -16 ) ( 128 224 -16 ) ( 136 224 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 224 -16 ) ( 136 224 -24 ) ( 136 160 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 160 -24 ) ( 136 160 -24 ) ( 128 224 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 168 -24 ) ( 128 168 -16 ) ( 136 168 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 160 -24 ) ( 128 224 -24 ) ( 128 160 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 17
+{
+( 136 32 56 ) ( 136 -32 56 ) ( 128 32 56 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 32 -16 ) ( 128 32 -16 ) ( 136 32 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 32 -16 ) ( 136 32 -24 ) ( 136 -32 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 -32 -24 ) ( 136 -32 -24 ) ( 128 32 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 -24 -24 ) ( 128 -24 -16 ) ( 136 -24 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 -32 -24 ) ( 128 32 -24 ) ( 128 -32 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 18
+{
+( 136 -168 56 ) ( 136 -232 56 ) ( 128 -168 56 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 -168 -16 ) ( 128 -168 -16 ) ( 136 -168 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 -168 -16 ) ( 136 -168 -24 ) ( 136 -232 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 -232 -24 ) ( 136 -232 -24 ) ( 128 -168 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 -192 -24 ) ( 128 -192 -16 ) ( 136 -192 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 -232 -24 ) ( 128 -168 -24 ) ( 128 -232 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 19
+{
+( 136 384 56 ) ( 136 320 56 ) ( 128 384 56 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 384 -16 ) ( 128 384 -16 ) ( 136 384 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 384 -16 ) ( 136 384 -24 ) ( 136 320 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 320 -24 ) ( 136 320 -24 ) ( 128 384 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 136 360 -24 ) ( 136 360 -16 ) ( 144 360 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 128 320 -24 ) ( 128 384 -24 ) ( 128 320 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 20
+{
+( 288 320 64 ) ( 288 -192 64 ) ( 280 320 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 128 -16 ) ( 280 128 -16 ) ( 288 128 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 320 -16 ) ( 288 320 -24 ) ( 288 -192 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 280 -192 -24 ) ( 288 -192 -24 ) ( 280 320 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 280 -192 -24 ) ( 280 -192 -16 ) ( 288 -192 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 280 -192 -24 ) ( 280 320 -24 ) ( 280 -192 -16 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 21
+{
+( 440 216 -24 ) ( 440 112 -24 ) ( 296 216 -24 ) gothic_floor/largeblockfloor4 0 0 0 0.5 0.5 0 0 0
+( 432 232 56 ) ( 288 232 56 ) ( 432 232 -32 ) gothic_floor/largeblockfloor4 0 0 0 0.5 0.5 0 0 0
+( 448 208 56 ) ( 448 208 -32 ) ( 448 104 56 ) gothic_floor/largeblockfloor4 0 0 0 0.5 0.5 0 0 0
+( 288 112 -32 ) ( 432 112 -32 ) ( 288 216 -32 ) gothic_floor/largeblockfloor4 0 0 0 0.5 0.5 0 0 0
+( 288 88 -32 ) ( 288 88 56 ) ( 432 88 -32 ) gothic_floor/largeblockfloor4 0 0 0 0.5 0.5 0 0 0
+( 288 112 -32 ) ( 288 216 -32 ) ( 288 112 56 ) gothic_floor/largeblockfloor4 0 0 0 0.5 0.5 0 0 0
+}
+// brush 22
+{
+( 472 240 64 ) ( 472 224 64 ) ( 336 240 64 ) gothic_floor/blocks17floor 0 0 0 0.5 0.5 0 0 0
+( 456 232 -16 ) ( 320 232 -16 ) ( 456 232 -24 ) gothic_floor/blocks17floor 0 0 0 0.5 0.5 0 0 0
+( 416 240 -16 ) ( 416 240 -24 ) ( 416 224 -16 ) gothic_floor/blocks17floor 0 0 0 0.5 0.5 0 0 0
+( 320 224 -24 ) ( 456 224 -24 ) ( 320 240 -24 ) gothic_floor/blocks17floor 0 0 0 0.5 0.5 0 0 0
+( 304 224 -24 ) ( 304 224 -16 ) ( 440 224 -24 ) gothic_floor/blocks17floor 0 0 0 0.5 0.5 0 0 0
+( 320 224 -24 ) ( 320 240 -24 ) ( 320 224 -16 ) gothic_floor/blocks17floor 0 0 0 0.5 0.5 0 0 0
+}
+// brush 23
+{
+( 344 200 64 ) ( 344 192 64 ) ( 288 200 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 344 200 72 ) ( 288 200 72 ) ( 344 200 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 312 200 72 ) ( 312 200 -24 ) ( 312 192 72 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 192 -24 ) ( 344 192 -24 ) ( 288 200 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 192 -24 ) ( 288 192 72 ) ( 344 192 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 192 -24 ) ( 288 200 -24 ) ( 288 192 72 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 24
+{
+( 312 128 64 ) ( 312 120 64 ) ( 288 128 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 312 128 64 ) ( 288 128 64 ) ( 312 128 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 312 128 64 ) ( 312 128 -24 ) ( 312 120 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 120 -24 ) ( 312 120 -24 ) ( 288 128 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 120 -24 ) ( 288 120 64 ) ( 312 120 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 288 120 -24 ) ( 288 128 -24 ) ( 288 120 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 25
+{
+( 320 128 64 ) ( 320 88 64 ) ( 312 128 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 320 128 64 ) ( 312 128 64 ) ( 320 128 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 320 128 64 ) ( 320 128 -24 ) ( 320 88 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 312 88 -24 ) ( 320 88 -24 ) ( 312 128 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 312 88 -24 ) ( 312 88 64 ) ( 320 88 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 312 88 -24 ) ( 312 128 -24 ) ( 312 88 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 26
+{
+( 320 232 64 ) ( 320 192 64 ) ( 312 232 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 320 232 64 ) ( 312 232 64 ) ( 320 232 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 320 256 64 ) ( 320 256 -24 ) ( 320 216 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 312 192 -24 ) ( 320 192 -24 ) ( 312 232 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 312 192 -24 ) ( 312 192 64 ) ( 320 192 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 312 192 -24 ) ( 312 232 -24 ) ( 312 192 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 27
+{
+( 472 104 64 ) ( 472 88 64 ) ( 336 104 64 ) gothic_floor/blocks17floor 0 0 0 0.5 0.5 0 0 0
+( 416 96 -24 ) ( 280 96 -24 ) ( 416 96 -32 ) gothic_floor/blocks17floor 0 0 0 0.5 0.5 0 0 0
+( 416 104 -16 ) ( 416 104 -24 ) ( 416 88 -16 ) gothic_floor/blocks17floor 0 0 0 0.5 0.5 0 0 0
+( 320 88 -24 ) ( 456 88 -24 ) ( 320 104 -24 ) gothic_floor/blocks17floor 0 0 0 0.5 0.5 0 0 0
+( 344 88 -24 ) ( 344 88 -16 ) ( 480 88 -24 ) gothic_floor/blocks17floor 0 0 0 0.5 0.5 0 0 0
+( 320 88 -24 ) ( 320 104 -24 ) ( 320 88 -16 ) gothic_floor/blocks17floor 0 0 0 0.5 0.5 0 0 0
+}
+// brush 28
+{
+( 424 128 64 ) ( 424 88 64 ) ( 416 128 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 424 128 64 ) ( 416 128 64 ) ( 424 128 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 424 128 64 ) ( 424 128 -24 ) ( 424 88 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 416 88 -24 ) ( 424 88 -24 ) ( 416 128 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 416 88 -24 ) ( 416 88 64 ) ( 424 88 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 416 88 -24 ) ( 416 128 -24 ) ( 416 88 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 29
+{
+( 424 232 64 ) ( 424 192 64 ) ( 416 232 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 424 232 64 ) ( 416 232 64 ) ( 424 232 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 424 256 64 ) ( 424 256 -24 ) ( 424 216 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 416 192 -24 ) ( 424 192 -24 ) ( 416 232 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 416 192 -24 ) ( 416 192 64 ) ( 424 192 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 416 192 -24 ) ( 416 232 -24 ) ( 416 192 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 30
+{
+( 480 200 64 ) ( 480 192 64 ) ( 424 200 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 480 200 72 ) ( 424 200 72 ) ( 480 200 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 448 200 72 ) ( 448 200 -24 ) ( 448 192 72 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 424 192 -24 ) ( 480 192 -24 ) ( 424 200 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 424 192 -24 ) ( 424 192 72 ) ( 480 192 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 424 192 -24 ) ( 424 200 -24 ) ( 424 192 72 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 31
+{
+( 448 128 64 ) ( 448 120 64 ) ( 424 128 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 448 128 64 ) ( 424 128 64 ) ( 448 128 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 448 128 64 ) ( 448 128 -24 ) ( 448 120 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 424 120 -24 ) ( 448 120 -24 ) ( 424 128 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 424 120 -24 ) ( 424 120 64 ) ( 448 120 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 424 120 -24 ) ( 424 128 -24 ) ( 424 120 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 32
+{
+( 528 280 -24 ) ( 528 64 -24 ) ( 448 280 -24 ) gothic_floor/metalbridge02b 0 0 0 0.5 0.5 0 0 0
+( 552 712 -24 ) ( 472 712 -24 ) ( 552 712 -32 ) gothic_floor/metalbridge02b 0 0 0 0.5 0.5 0 0 0
+( 528 280 -24 ) ( 528 280 -32 ) ( 528 64 -24 ) gothic_floor/metalbridge02b 0 0 0 0.5 0.5 0 0 0
+( 448 64 -32 ) ( 528 64 -32 ) ( 448 280 -32 ) gothic_floor/metalbridge02b 0 0 0 0.5 0.5 0 0 0
+( 424 -376 -32 ) ( 424 -376 -24 ) ( 504 -376 -32 ) gothic_floor/metalbridge02b 0 0 0 0.5 0.5 0 0 0
+( 448 64 -32 ) ( 448 280 -32 ) ( 448 64 -24 ) gothic_floor/metalbridge02b 0 0 0 0.5 0.5 0 0 0
+}
+// brush 33
+{
+( 528 704 64 ) ( 528 -88 64 ) ( 520 704 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 528 712 64 ) ( 520 712 64 ) ( 528 712 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 528 712 64 ) ( 528 712 -24 ) ( 528 -80 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 520 -88 -24 ) ( 528 -88 -24 ) ( 520 704 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 568 -376 -24 ) ( 568 -376 64 ) ( 576 -376 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 520 -88 -24 ) ( 520 704 -24 ) ( 520 -88 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 34
+{
+( 456 664 64 ) ( 456 -128 64 ) ( 448 664 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 456 712 64 ) ( 448 712 64 ) ( 456 712 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 456 1280 64 ) ( 456 1280 -24 ) ( 456 488 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 448 -128 -24 ) ( 456 -128 -24 ) ( 448 664 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 504 192 -24 ) ( 504 192 64 ) ( 512 192 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 448 -128 -24 ) ( 448 664 -24 ) ( 448 -128 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+}
+// brush 35
+{
+( 456 128 64 ) ( 456 -72 64 ) ( 448 128 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 456 128 64 ) ( 448 128 64 ) ( 456 128 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 456 128 64 ) ( 456 128 -24 ) ( 456 -72 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 448 -72 -24 ) ( 456 -72 -24 ) ( 448 128 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 448 -376 -24 ) ( 448 -376 64 ) ( 456 -376 -24 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 448 -72 -24 ) ( 448 128 -24 ) ( 448 -72 64 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 }
 }
@@ -115,4 +331,4 @@
 {
 "classname" "info_player_deathmatch"
-"origin" "0 -40 0"
-}
+"origin" "248 504 0"
+}