Index: data/trunk/worlds/DefaultCampaign.oxc
===================================================================
--- data/trunk/worlds/DefaultCampaign.oxc	(revision 3845)
+++ data/trunk/worlds/DefaultCampaign.oxc	(revision 3846)
@@ -1,5 +1,5 @@
 <Campaign>
   <name>default</name>
-  <identifier>666</identifier>
+  <identifier>0</identifier>
   <description>The one and only default debug campaign</description>
   <WorldList>
@@ -15,6 +15,6 @@
       <identifier>1</identifier>
       <nextid>2</nextid>
-      <name>Developer Island</name>
-      <path>worlds/developer_island.oxw</path>
+      <name>Demo Mountain Lake</name>
+      <path>worlds/sp_demo_mountain_lake.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
@@ -24,44 +24,6 @@
       <identifier>2</identifier>
       <nextid>3</nextid>
-      <path>worlds/desert.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
-
-    <SinglePlayerWorld>
-      <identifier>3</identifier>
-      <nextid>4</nextid>
-      <path>worlds/HeightPark.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
-
-<!-- AVI PLAYER -->
-
-    <MovieLoader>
-      <identifier>4</identifier>
-      <nextid>5</nextid>
-      <name>Meteroid</name>
-      <movie>media/maya_orxonox_small.avi</movie>
-      <screenshoot>pictures/menu/ss_meteorits_512x512.png</screenshoot>
-      <menu-entry>1</menu-entry>
-    </MovieLoader>
-
-    <SinglePlayerWorld>
-      <identifier>5</identifier>
-      <nextid>6</nextid>
-      <path>worlds/MeteroidCinema.oxw</path>
-    </SinglePlayerWorld>
-
-
-    <SinglePlayerWorld>
-      <identifier>6</identifier>
-      <nextid>7</nextid>
-      <path>worlds/christmas.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
-
-    <SinglePlayerWorld>
-      <identifier>8</identifier>
-      <nextid>9</nextid>
-      <path>worlds/vulcania.oxw</path>
+      <name>Level1: Ambush at Jupiter</name>
+      <path>worlds/sp_level_ambush_at_jupiter.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
@@ -69,15 +31,8 @@
 
     <SinglePlayerWorld>
-      <identifier>10</identifier>
-      <nextid>9</nextid>
-      <path>worlds/mountainlake.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
-
-
-    <SinglePlayerWorld>
-      <identifier>9</identifier>
-      <nextid>1</nextid>
-      <path>worlds/urban_city.oxw</path>
+      <identifier>3</identifier>
+      <nextid>0</nextid>
+      <name>Multiplayer Arena</name>
+      <path>worlds/mp_level_arena.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
Index: data/trunk/worlds/HeightPark.oxw
===================================================================
--- data/trunk/worlds/HeightPark.oxw	(revision 3845)
+++ data/trunk/worlds/HeightPark.oxw	(revision 3846)
@@ -20,5 +20,5 @@
 
     <BspEntity>
-      <Name>worlds/bsp/apocalyptica.bsp</Name>
+      <Name>worlds/bsp/single_player_proto_world_01.bsp</Name>
     </BspEntity>
 
@@ -32,5 +32,5 @@
 
   <TestEntity>
-      <model>/home/boenzlip/orxonox/data/trunk/models/creatures/ranger_statue.md3</model>
+      <model>models/creatures/gork</model>
   </TestEntity>
 
Index: data/trunk/worlds/mp_level_arena.oxw
===================================================================
--- data/trunk/worlds/mp_level_arena.oxw	(revision 3846)
+++ data/trunk/worlds/mp_level_arena.oxw	(revision 3846)
@@ -0,0 +1,47 @@
+<WorldDataFile>
+  <name>Multiplayer Arena</name>
+  <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
+  <screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
+
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
+  </LoadScreen>
+
+
+  <WorldEntities>
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/simple_space</Materialset>
+     <Size>10000</Size>
+    </SkyBox>
+
+
+    <BspEntity>
+      <Name>worlds/bsp/apocalyptica.bsp</Name>
+    </BspEntity>
+
+
+    <TurbineHover>
+      <name>Player</name>
+    </TurbineHover>
+
+  </WorldEntities>
+
+  
+  <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+    </Lights>
+    <ambient-color>1,1,1</ambient-color>
+  </LightManager>
+
+
+</WorldDataFile>
Index: data/trunk/worlds/sp_demo_mountain_lake.oxw
===================================================================
--- data/trunk/worlds/sp_demo_mountain_lake.oxw	(revision 3846)
+++ data/trunk/worlds/sp_demo_mountain_lake.oxw	(revision 3846)
@@ -0,0 +1,63 @@
+<WorldDataFile>
+  <name>Demo: Mountain Lake</name>
+  <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
+  <screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
+
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
+    <ElementCount>12</ElementCount>
+    <BackgroundPS>0,0,1.01,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
+  </LoadScreen>
+
+  
+  <WorldEntities>
+  
+    <Hover>
+      <name>Player</name>
+      <abs-coor>50, 100, 50</abs-coor>
+    </Hover>
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/desert</Materialset>
+     <Size>10000</Size>
+    </SkyBox>
+    <Terrain>
+      <name>water</name>
+      <model>worlds/sea_ground.obj, 4</model>
+    </Terrain>
+
+    <MappedWater>
+      <waterpos>-500,20,-500</waterpos>
+      <watersize>1000,1000</watersize>
+      <wateruv>9</wateruv>
+      <waterflow>0.08</waterflow>
+      <lightpos>10,15,10</lightpos>
+      <!--<lightPos>500,4850,4650</lightPos>-->
+    </MappedWater>
+
+  </WorldEntities>
+
+
+  <LightManager>
+    <ambient-color>1,1,1</ambient-color>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>-100,0,100</abs-coor>
+      </Light>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>-100,2000,50</abs-coor>
+      </Light>
+    </Lights>
+  </LightManager>
+
+
+</WorldDataFile>
Index: data/trunk/worlds/sp_level_ambush_at_jupiter.oxw
===================================================================
--- data/trunk/worlds/sp_level_ambush_at_jupiter.oxw	(revision 3846)
+++ data/trunk/worlds/sp_level_ambush_at_jupiter.oxw	(revision 3846)
@@ -0,0 +1,53 @@
+<WorldDataFile>
+  <name>Ambush at Jupiter</name>
+  <menu-item-image>pictures/menu/se_vulcano_512x128.png</menu-item-image>
+  <screenshoot>pictures/menu/ss_vulcano_512x512.png</screenshoot>
+
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
+  </LoadScreen>
+
+
+  <WorldEntities>
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/space/space</Materialset>
+     <Size>10000</Size>
+    </SkyBox>
+
+
+    <BspEntity>
+      <Name>worlds/bsp/single_player_proto_world_01.bsp</Name>
+    </BspEntity>
+
+
+    <TurbineHover>
+      <name>Player</name>
+    </TurbineHover>
+
+
+    <TestEntity>
+      <model>models/creatures/gork</model>
+    </TestEntity>
+
+  </WorldEntities>
+
+  
+    <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+    </Lights>
+    <ambient-color>1,1,1</ambient-color>
+  </LightManager>
+
+
+</WorldDataFile>
+