Index: data/trunk/worlds/single_player_proto_world_01.map
===================================================================
--- data/trunk/worlds/single_player_proto_world_01.map	(revision 3852)
+++ data/trunk/worlds/single_player_proto_world_01.map	(revision 3853)
@@ -14,19 +14,19 @@
 // brush 1
 {
-( -72 -8 121 ) ( -72 -16 121 ) ( -112 -8 121 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( -24 392 129 ) ( -64 392 129 ) ( -24 392 1 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( -72 -88 153 ) ( -72 -88 25 ) ( -72 -96 153 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -112 -16 1 ) ( -72 -16 1 ) ( -112 -8 1 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( -112 -200 1 ) ( -112 -200 129 ) ( -72 -200 1 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( -80 -16 1 ) ( -80 -8 1 ) ( -80 -16 129 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 38 -8 121 ) ( 38 -16 121 ) ( -2 -8 121 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 86 392 129 ) ( 46 392 129 ) ( 86 392 1 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 38 -88 153 ) ( 38 -88 25 ) ( 38 -96 153 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( -2 -16 1 ) ( 38 -16 1 ) ( -2 -8 1 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( -2 -200 1 ) ( -2 -200 129 ) ( 38 -200 1 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 30 -16 1 ) ( 30 -8 1 ) ( 30 -16 129 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 }
 // brush 2
 {
 ( 112 264 121 ) ( 112 -200 121 ) ( -72 264 121 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( 112 -192 97 ) ( -72 -192 97 ) ( 112 -192 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 222 -192 97 ) ( 38 -192 97 ) ( 222 -192 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 288 264 97 ) ( 288 264 9 ) ( 288 -200 97 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 ( -72 -200 9 ) ( 112 -200 9 ) ( -72 264 9 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 ( -72 -200 9 ) ( -72 -200 97 ) ( 112 -200 9 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( -72 -200 33 ) ( -72 264 33 ) ( -72 -200 121 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 38 -200 33 ) ( 38 264 33 ) ( 38 -200 121 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 }
 // brush 3
@@ -36,6 +36,6 @@
 ( 136 138 121 ) ( 136 138 33 ) ( 136 130 121 ) base_wall/basewall04 0 0 0 0.5 0.5 0 0 0
 ( -56 130 9 ) ( 96 130 9 ) ( -56 138 9 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( -40 130 9 ) ( -40 130 97 ) ( 112 130 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -72 130 33 ) ( -72 138 33 ) ( -72 130 121 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 70 130 9 ) ( 70 130 97 ) ( 222 130 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 38 130 33 ) ( 38 138 33 ) ( 38 130 121 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 }
 // brush 4
@@ -45,6 +45,6 @@
 ( 136 297 121 ) ( 136 297 33 ) ( 136 289 121 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -57 288 9 ) ( 95 288 9 ) ( -57 296 9 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
-( -41 288 9 ) ( -41 288 97 ) ( 111 288 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -72 288 33 ) ( -72 296 33 ) ( -72 288 121 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 69 288 9 ) ( 69 288 97 ) ( 221 288 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 38 288 33 ) ( 38 296 33 ) ( 38 288 121 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 }
 // brush 5
@@ -2071,5 +2071,5 @@
 ( -74 97 121 ) ( 286 97 121 ) ( -74 575 121 ) base_wall/basewall04 -36 -110 0 0.3000000119 0.3000000119 0 0 0
 ( -107 -200 121 ) ( -107 -200 129 ) ( 253 -200 121 ) base_wall/patch10_beatup2 70 -20 0 0.5 0.5 0 0 0
-( -80 97 121 ) ( -80 575 121 ) ( -80 97 129 ) base_wall/patch10_beatup2 110 -20 0 0.5 0.5 0 0 0
+( 30 96 121 ) ( 30 574 121 ) ( 30 96 129 ) base_wall/patch10_beatup2 110 -20 0 0.5 0.5 0 0 0
 }
 // brush 207
@@ -2077,15 +2077,15 @@
 ( 240 -184 121 ) ( 240 -192 121 ) ( 88 -184 121 ) base_wall/basewall03 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( 280 -184 121 ) ( 280 -184 117 ) ( 280 -192 121 ) base_wall/basewall03 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 88 -192 117 ) ( 88 -192 121 ) ( 240 -192 117 ) base_wall/basewall03 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -72 -195 117 ) ( -72 -187 117 ) ( -72 -195 121 ) base_wall/basewall03 10 0 0 0.3000000119 0.3000000119 0 0 0
+( 198 -192 117 ) ( 198 -192 121 ) ( 350 -192 117 ) base_wall/basewall03 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 38 -195 117 ) ( 38 -187 117 ) ( 38 -195 121 ) base_wall/basewall03 10 0 0 0.3000000119 0.3000000119 0 0 0
 ( -64 -176 121 ) ( -64 -192 99 ) ( 64 -176 121 ) base_wall/basewall04 0 76 0 0.3000000119 0.2199999988 0 0 0
 }
 // brush 208
 {
-( -64 -152 121 ) ( -72 -152 121 ) ( -64 0 121 ) base_wall/basewall03 37.3333320618 -112.0000228882 -90 0.3000000119 0.3000000119 0 0 0
-( -64 -192 121 ) ( -64 -192 117 ) ( -72 -192 121 ) base_wall/basewall03 112.0000228882 0 0 0.3000000119 0.3000000119 0 0 0
-( -72 0 117 ) ( -72 0 121 ) ( -72 -152 117 ) base_wall/basewall03 37.3333320618 0 0 -0.3000000119 0.3000000119 0 0 0
-( -86 392 117 ) ( -78 392 117 ) ( -86 392 121 ) base_wall/basewall03 158.6666412354 0 0 0.3000000119 0.3000000119 0 0 0
-( -56 152 121 ) ( -72 152 99 ) ( -56 24 121 ) base_wall/basewall04 -48.6699981689 146 -90 -0.3000000119 0.3000000119 0 0 0
+( 46 -152 121 ) ( 38 -152 121 ) ( 46 0 121 ) base_wall/basewall03 37.3333320618 -112.0000228882 -90 0.3000000119 0.3000000119 0 0 0
+( 46 -192 121 ) ( 46 -192 117 ) ( 38 -192 121 ) base_wall/basewall03 112.0000228882 0 0 0.3000000119 0.3000000119 0 0 0
+( 38 0 117 ) ( 38 0 121 ) ( 38 -152 117 ) base_wall/basewall03 37.3333320618 0 0 -0.3000000119 0.3000000119 0 0 0
+( 24 392 117 ) ( 32 392 117 ) ( 24 392 121 ) base_wall/basewall03 158.6666412354 0 0 0.3000000119 0.3000000119 0 0 0
+( 54 152 121 ) ( 38 152 99 ) ( 54 24 121 ) base_wall/basewall04 -48.6699981689 146 -90 -0.3000000119 0.3000000119 0 0 0
 }
 // brush 209
@@ -2116,28 +2116,28 @@
 // brush 212
 {
-( 68 -93 96 ) ( 68 -100 96 ) ( -20 -93 96 ) base_light/light5 11.317073822 20 90 0.4099999964 0.5 0 0 0
-( 68 -94 100 ) ( -20 -94 100 ) ( 68 -94 94 ) base_support/support1_1 21.0731716156 20 90 0.4099999964 0.5 0 0 0
-( 68 -94 100 ) ( 68 -94 94 ) ( 68 -101 100 ) base_support/support1_1 21.0731716156 28 90 0.4099999964 0.5 0 0 0
-( -20 -101 95 ) ( 68 -101 95 ) ( -20 -94 95 ) base_light/light5 15.8108110428 -7 90 0.3700000048 0.5 0 0 0
-( -20 -101 94 ) ( -20 -101 100 ) ( 68 -101 94 ) base_support/support1_1 21.0731716156 20 90 0.4099999964 0.5 0 0 0
-( 5 -97 94 ) ( 5 -90 94 ) ( 5 -97 100 ) base_support/support1_1 21.0731716156 20 90 0.4099999964 0.5 0 0 0
+( 92 -136 94 ) ( 85 -136 94 ) ( 92 -48 94 ) base_light/light5 10.8100004196 -74 0 0.3700000048 0.5 0 0 0
+( 91 -136 98 ) ( 91 -48 98 ) ( 91 -136 92 ) base_support/support1_1 10.8100004196 -74 0 0.3700000048 0.5 0 0 0
+( 91 -136 98 ) ( 91 -136 92 ) ( 84 -136 98 ) base_support/support1_1 10.8100004196 -74 0 0.3700000048 0.5 0 0 0
+( 84 -48 93 ) ( 84 -136 93 ) ( 91 -48 93 ) base_light/light5 10.8100004196 -143 0 0.3700000048 0.5 0 0 0
+( 84 -48 92 ) ( 84 -48 98 ) ( 84 -136 92 ) base_support/support1_1 10.8100004196 -74 0 0.3700000048 0.5 0 0 0
+( 88 -73 92 ) ( 95 -73 92 ) ( 88 -73 98 ) base_support/support1_1 10.8100004196 -74 0 0.3700000048 0.5 0 0 0
 }
 // brush 213
 {
-( 12 -97 121 ) ( 12 -98 121 ) ( 11 -97 121 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
-( 12 -97 102 ) ( 11 -97 102 ) ( 12 -97 100 ) base_support/support1_1 0 12 0 0.5 0.5 0 0 0
-( 12 -97 96 ) ( 12 -97 94 ) ( 12 -98 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
-( 11 -98 94 ) ( 12 -98 94 ) ( 11 -97 94 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
-( 11 -98 94 ) ( 11 -98 96 ) ( 12 -98 94 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
-( 11 -98 94 ) ( 11 -97 94 ) ( 11 -98 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 88 -80 121 ) ( 87 -80 121 ) ( 88 -79 121 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 88 -80 102 ) ( 88 -79 102 ) ( 88 -80 100 ) base_support/support1_1 0 12 0 0.5 0.5 0 0 0
+( 88 -80 96 ) ( 88 -80 94 ) ( 87 -80 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 87 -79 94 ) ( 87 -80 94 ) ( 88 -79 94 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 87 -79 94 ) ( 87 -79 96 ) ( 87 -80 94 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 87 -79 94 ) ( 88 -79 94 ) ( 87 -79 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
 }
 // brush 214
 {
-( 61 -97 121 ) ( 61 -98 121 ) ( 60 -97 121 ) base_support/support1_1 -2 0 0 0.5 0.5 0 0 0
-( 61 -97 102 ) ( 60 -97 102 ) ( 61 -97 100 ) base_support/support1_1 -2 12 0 0.5 0.5 0 0 0
-( 61 -97 96 ) ( 61 -97 94 ) ( 61 -98 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
-( 60 -98 94 ) ( 61 -98 94 ) ( 60 -97 94 ) base_support/support1_1 -2 0 0 0.5 0.5 0 0 0
-( 60 -98 94 ) ( 60 -98 96 ) ( 61 -98 94 ) base_support/support1_1 -2 0 0 0.5 0.5 0 0 0
-( 60 -98 94 ) ( 60 -97 94 ) ( 60 -98 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 88 -129 121 ) ( 87 -129 121 ) ( 88 -128 121 ) base_support/support1_1 -2 0 0 0.5 0.5 0 0 0
+( 88 -129 102 ) ( 88 -128 102 ) ( 88 -129 100 ) base_support/support1_1 -2 12 0 0.5 0.5 0 0 0
+( 88 -129 96 ) ( 88 -129 94 ) ( 87 -129 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 87 -128 94 ) ( 87 -129 94 ) ( 88 -128 94 ) base_support/support1_1 -2 0 0 0.5 0.5 0 0 0
+( 87 -128 94 ) ( 87 -128 96 ) ( 87 -129 94 ) base_support/support1_1 -2 0 0 0.5 0.5 0 0 0
+( 87 -128 94 ) ( 88 -128 94 ) ( 87 -128 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
 }
 // brush 215
@@ -4337,5 +4337,5 @@
 ( -56 -23 9 ) ( 96 -23 9 ) ( -56 -15 9 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 ( -40 -23 9 ) ( -40 -23 97 ) ( 112 -23 9 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( -72 -23 33 ) ( -72 -15 33 ) ( -72 -23 121 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
+( 38 -24 33 ) ( 38 -16 33 ) ( 38 -24 121 ) gothic_floor/blocks17floor3 0 0 0 0.5 0.5 0 0 0
 }
 // brush 457
@@ -4347,4 +4347,58 @@
 ( 152 152 121 ) ( 136 152 99 ) ( 152 24 121 ) base_wall/basewall04 -48.6699981689 146.0000152588 90 0.3000000119 -0.3000000119 0 0 0
 }
+// brush 458
+{
+( 92 27 94 ) ( 85 27 94 ) ( 92 115 94 ) base_light/light5 11.317073822 20 90 0.4099999964 0.5 0 0 0
+( 91 27 98 ) ( 91 115 98 ) ( 91 27 92 ) base_support/support1_1 21.0731716156 20 90 0.4099999964 0.5 0 0 0
+( 91 27 98 ) ( 91 27 92 ) ( 84 27 98 ) base_support/support1_1 21.0731716156 28 90 0.4099999964 0.5 0 0 0
+( 84 115 93 ) ( 84 27 93 ) ( 91 115 93 ) base_light/light5 10.8100004196 -74 0 0.3700000048 0.5 0 0 0
+( 84 115 92 ) ( 84 115 98 ) ( 84 27 92 ) base_support/support1_1 21.0731716156 20 90 0.4099999964 0.5 0 0 0
+( 88 90 92 ) ( 95 90 92 ) ( 88 90 98 ) base_support/support1_1 21.0731716156 20 90 0.4099999964 0.5 0 0 0
+}
+// brush 459
+{
+( 88 83 121 ) ( 87 83 121 ) ( 88 84 121 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 88 83 102 ) ( 88 84 102 ) ( 88 83 100 ) base_support/support1_1 0 12 0 0.5 0.5 0 0 0
+( 88 83 96 ) ( 88 83 94 ) ( 87 83 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 87 84 94 ) ( 87 83 94 ) ( 88 84 94 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 87 84 94 ) ( 87 84 96 ) ( 87 83 94 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 87 84 94 ) ( 88 84 94 ) ( 87 84 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+}
+// brush 460
+{
+( 88 34 121 ) ( 87 34 121 ) ( 88 35 121 ) base_support/support1_1 -2 0 0 0.5 0.5 0 0 0
+( 88 34 102 ) ( 88 35 102 ) ( 88 34 100 ) base_support/support1_1 -2 12 0 0.5 0.5 0 0 0
+( 88 34 96 ) ( 88 34 94 ) ( 87 34 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 87 35 94 ) ( 87 34 94 ) ( 88 35 94 ) base_support/support1_1 -2 0 0 0.5 0.5 0 0 0
+( 87 35 94 ) ( 87 35 96 ) ( 87 34 94 ) base_support/support1_1 -2 0 0 0.5 0.5 0 0 0
+( 87 35 94 ) ( 88 35 94 ) ( 87 35 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+}
+// brush 461
+{
+( 92 172 94 ) ( 85 172 94 ) ( 92 260 94 ) base_light/light5 11.317073822 20 90 0.4099999964 0.5 0 0 0
+( 91 172 98 ) ( 91 260 98 ) ( 91 172 92 ) base_support/support1_1 21.0731716156 20 90 0.4099999964 0.5 0 0 0
+( 91 172 98 ) ( 91 172 92 ) ( 84 172 98 ) base_support/support1_1 21.0731716156 28 90 0.4099999964 0.5 0 0 0
+( 84 260 93 ) ( 84 172 93 ) ( 91 260 93 ) base_light/light5 10.8100004196 -43 0 0.3700000048 0.5 0 0 0
+( 84 260 92 ) ( 84 260 98 ) ( 84 172 92 ) base_support/support1_1 21.0731716156 20 90 0.4099999964 0.5 0 0 0
+( 88 235 92 ) ( 95 235 92 ) ( 88 235 98 ) base_support/support1_1 21.0731716156 20 90 0.4099999964 0.5 0 0 0
+}
+// brush 462
+{
+( 88 228 121 ) ( 87 228 121 ) ( 88 229 121 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 88 228 102 ) ( 88 229 102 ) ( 88 228 100 ) base_support/support1_1 0 12 0 0.5 0.5 0 0 0
+( 88 228 96 ) ( 88 228 94 ) ( 87 228 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 87 229 94 ) ( 87 228 94 ) ( 88 229 94 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 87 229 94 ) ( 87 229 96 ) ( 87 228 94 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 87 229 94 ) ( 88 229 94 ) ( 87 229 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+}
+// brush 463
+{
+( 88 179 121 ) ( 87 179 121 ) ( 88 180 121 ) base_support/support1_1 -2 0 0 0.5 0.5 0 0 0
+( 88 179 102 ) ( 88 180 102 ) ( 88 179 100 ) base_support/support1_1 -2 12 0 0.5 0.5 0 0 0
+( 88 179 96 ) ( 88 179 94 ) ( 87 179 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+( 87 180 94 ) ( 87 179 94 ) ( 88 180 94 ) base_support/support1_1 -2 0 0 0.5 0.5 0 0 0
+( 87 180 94 ) ( 87 180 96 ) ( 87 179 94 ) base_support/support1_1 -2 0 0 0.5 0.5 0 0 0
+( 87 180 94 ) ( 88 180 94 ) ( 87 180 96 ) base_support/support1_1 0 0 0 0.5 0.5 0 0 0
+}
 }
 // entity 1
@@ -4356,5 +4410,5 @@
 {
 "classname" "light"
-"origin" "60 -98 87"
+"origin" "87 -128 67"
 "light" "100"
 }
@@ -4386,5 +4440,23 @@
 {
 "classname" "light"
-"origin" "11 -98 87"
+"origin" "87 -79 67"
 "light" "100"
 }
+// entity 8
+{
+"classname" "light"
+"origin" "87 59 60"
+"light" "100"
+}
+// entity 9
+{
+"classname" "light"
+"origin" "87 180 63"
+"light" "100"
+}
+// entity 10
+{
+"classname" "light"
+"origin" "87 229 63"
+"light" "100"
+}