Index: data/trunk/worlds/single_player_proto_world_01.map
===================================================================
--- data/trunk/worlds/single_player_proto_world_01.map	(revision 3857)
+++ data/trunk/worlds/single_player_proto_world_01.map	(revision 3858)
@@ -256,19 +256,19 @@
 // brush 27
 {
-( 520 784 -24 ) ( 520 720 -24 ) ( 448 784 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 520 840 64 ) ( 448 840 64 ) ( 520 840 -64 ) gothic_floor/metalbridge02b 0 0 0 0.5 0.5 0 0 0
-( 784 760 64 ) ( 784 760 -64 ) ( 784 696 64 ) gothic_floor/metalbridge02b 0 0 0 0.5 0.5 0 0 0
-( 448 712 -32 ) ( 520 712 -32 ) ( 448 776 -32 ) gothic_floor/metalbridge02b 0 0 0 0.5 0.5 0 0 0
-( 448 712 -64 ) ( 448 712 64 ) ( 520 712 -64 ) gothic_floor/metalbridge02b 0 0 0 0.5 0.5 0 0 0
-( -168 712 -64 ) ( -168 776 -64 ) ( -168 712 64 ) gothic_floor/metalbridge02b 0 0 0 0.5 0.5 0 0 0
+( 520 784 -24 ) ( 520 720 -24 ) ( 448 784 -24 ) base_floor/proto_grate4 -19 -6 0 0.3000000119 0.3000000119 0 0 0
+( 520 840 64 ) ( 448 840 64 ) ( 520 840 -64 ) effects/invismap -21 0 0 0.3000000119 0.3000000119 0 0 0
+( 774 760 64 ) ( 774 760 -64 ) ( 774 696 64 ) effects/invismap -21 0 0 0.3000000119 0.3000000119 0 0 0
+( 448 712 -32 ) ( 520 712 -32 ) ( 448 776 -32 ) effects/invismap -21 0 0 0.3000000119 0.3000000119 0 0 0
+( 448 712 -64 ) ( 448 712 64 ) ( 520 712 -64 ) effects/invismap -21 0 0 0.3000000119 0.3000000119 0 0 0
+( -168 712 -64 ) ( -168 776 -64 ) ( -168 712 64 ) effects/invismap -21 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 28
 {
-( 864 776 -24 ) ( 864 704 -24 ) ( 784 776 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 864 840 -24 ) ( 784 840 -24 ) ( 864 840 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 920 776 -24 ) ( 920 776 -32 ) ( 920 704 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 784 704 -32 ) ( 864 704 -32 ) ( 784 776 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 792 328 -32 ) ( 792 328 -24 ) ( 872 328 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 784 704 -32 ) ( 784 776 -32 ) ( 784 704 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 864 776 -24 ) ( 864 704 -24 ) ( 784 776 -24 ) base_floor/proto_grate4 -6 -6 -90 0.3000000119 0.3000000119 0 0 0
+( 864 840 -24 ) ( 784 840 -24 ) ( 864 840 -32 ) effects/invismap 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 920 776 -24 ) ( 920 776 -32 ) ( 920 704 -24 ) effects/invismap 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 784 704 -32 ) ( 864 704 -32 ) ( 784 776 -32 ) effects/invismap 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 792 328 -32 ) ( 792 328 -24 ) ( 872 328 -32 ) effects/invismap 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 774 708 -32 ) ( 774 780 -32 ) ( 774 708 -24 ) effects/invismap 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 29
@@ -312,5 +312,5 @@
 ( 456 720 64 ) ( 344 720 64 ) ( 456 720 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 416 720 64 ) ( 416 720 -32 ) ( 416 712 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 344 712 -32 ) ( 456 712 -32 ) ( 344 720 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 344 713 -24 ) ( 456 713 -24 ) ( 344 721 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 112 712 -32 ) ( 112 712 64 ) ( 224 712 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -168 696 -32 ) ( -168 704 -32 ) ( -168 696 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -469,5 +469,5 @@
 // brush 51
 {
-( -1456 840 -24 ) ( -1456 624 -24 ) ( -1720 840 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1456 840 -24 ) ( -1456 624 -24 ) ( -1720 840 -24 ) base_floor/proto_grate4 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -1464 840 56 ) ( -1728 840 56 ) ( -1464 840 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -1464 840 56 ) ( -1464 840 -32 ) ( -1464 624 56 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
@@ -775,5 +775,5 @@
 ( 128 884 64 ) ( 72 884 64 ) ( 128 884 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -18 840 64 ) ( -18 840 -32 ) ( -18 832 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
-( 72 832 -24 ) ( 128 832 -24 ) ( 72 840 -24 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
+( 72 847.5 -23.5 ) ( 128 847.5 -23.5 ) ( 72 855.5 -23.5 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( 56 832 -32 ) ( 56 832 64 ) ( 112 832 -32 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
 ( -376 832 -32 ) ( -376 840 -32 ) ( -376 832 64 ) base_wall/basewall03 0 39 0 0.3000000119 0.3300000131 0 0 0
@@ -1321,10 +1321,10 @@
 // brush 143
 {
-( -900 736 -118 ) ( -900 520 -118 ) ( -1044 736 -118 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -900 736 -118 ) ( -1044 736 -118 ) ( -900 736 -126 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -448 720 -120 ) ( -448 720 -128 ) ( -448 504 -120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1044 520 -126 ) ( -900 520 -126 ) ( -1044 736 -126 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1044 504 -126 ) ( -1044 504 -118 ) ( -900 504 -126 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1044 520 -126 ) ( -1044 736 -126 ) ( -1044 520 -118 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -900 800 -155.5 ) ( -900 584 -155.5 ) ( -1044 800 -155.5 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -900 832 -158.5 ) ( -1044 832 -158.5 ) ( -900 832 -166.5 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 937.5 755.5 -157.5 ) ( 937.5 755.5 -165.5 ) ( 937.5 539.5 -157.5 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1044 470.5 -162.5 ) ( -900 470.5 -162.5 ) ( -1044 686.5 -162.5 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1068 -192.5 -162.5 ) ( -1068 -192.5 -154.5 ) ( -924 -192.5 -162.5 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1658 546 -163.5 ) ( -1658 762 -163.5 ) ( -1658 546 -155.5 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 144
@@ -1748,5 +1748,5 @@
 ( 411 469 1 ) ( 411 469 9 ) ( 568 469 1 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 ( 408 473 1 ) ( 408 677 1 ) ( 408 473 9 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
-( -64 469 9 ) ( -64 712 -24 ) ( 64 469 9 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( -64 469 9 ) ( -64 712 -24 ) ( 64 469 9 ) base_floor/clang_floor2 0 0 0 0.5 0.5 0 0 0
 }
 // brush 182
@@ -3300,5 +3300,5 @@
 ( 410 832 121 ) ( 410 721 121 ) ( 237 832 121 ) base_wall/basewall04 -0.6666679382 -254 0 0.3000000119 0.3000000119 0 0 0
 ( 408 884 143 ) ( 235 884 143 ) ( 408 884 110 ) base_wall/basewall04 -0.6666679382 72 0 0.3000000119 0.3000000119 0 0 0
-( 423 834 143 ) ( 423 834 110 ) ( 423 723 143 ) base_wall/basewall04 124 72 0 0.3000000119 0.3000000119 0 0 0
+( 448 829.5 143 ) ( 448 829.5 110 ) ( 448 718.5 143 ) base_wall/basewall04 124 72 0 0.3000000119 0.3000000119 0 0 0
 ( 235 721 110 ) ( 408 721 110 ) ( 235 832 110 ) base_wall/basewall04 -0.6666679382 -254 0 0.3000000119 0.3000000119 0 0 0
 ( 235 709 109 ) ( 235 709 142 ) ( 408 709 109 ) base_wall/basewall04 -0.6666679382 72 0 0.3000000119 0.3000000119 0 0 0
@@ -5082,4 +5082,31 @@
 ( 267 -208.5 2 ) ( 267 -165.5 2 ) ( 267 -208.5 10 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
+// brush 541
+{
+( -18 839.5 -32 ) ( -18 832.5 -32 ) ( -376 839.5 -32 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( -18 839.5 -32 ) ( -376 839.5 -32 ) ( -18 839.5 -73 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 916.5 839.5 -56 ) ( 916.5 839.5 -97 ) ( 916.5 832.5 -56 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( -376 832 -162.5 ) ( -18 832 -162.5 ) ( -376 839 -162.5 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( -376 832 -73 ) ( -376 832 -32 ) ( -18 832 -73 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( -2293.5 832.5 -43.5 ) ( -2293.5 839.5 -43.5 ) ( -2293.5 832.5 -2.5 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+}
+// brush 542
+{
+( 560 880.5 121 ) ( 560 631 121 ) ( 428 880.5 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 560 884 121 ) ( 428 884 121 ) ( 560 884 110 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 560 880.5 121 ) ( 560 880.5 110 ) ( 560 631 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 428 631 110 ) ( 560 631 110 ) ( 428 880.5 110 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 460.5 -375 110 ) ( 460.5 -375 121 ) ( 592.5 -375 110 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 448 629.5 110 ) ( 448 879 110 ) ( 448 629.5 121 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+}
+// brush 543
+{
+( -23 719.5 -32 ) ( -23 712.5 -32 ) ( -381 719.5 -32 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( -23 719.5 -32 ) ( -381 719.5 -32 ) ( -23 719.5 -73 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( 911.5 719.5 -56 ) ( 911.5 719.5 -97 ) ( 911.5 712.5 -56 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( -381 712 -162.5 ) ( -23 712 -162.5 ) ( -381 719 -162.5 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( -381 712 -73 ) ( -381 712 -32 ) ( -23 712 -73 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+( -2298.5 712.5 -43.5 ) ( -2298.5 719.5 -43.5 ) ( -2298.5 712.5 -2.5 ) base_wall/basewall03 0 0 0 0.3300000131 0.3000000119 0 0 0
+}
 }
 // entity 1